Subject: Re: [bug#30030] [PATCH core-updates] gnu: java-jeromq: Update to 0.4.3.

From: Gábor Boskovits <[email-masked]>
Date: Tue, 23 Jan 2018 09:26:04 +0100

Sorry about that.
I introduced this update because I got test failures.
After updating I did not experience the failure even after several
rebuilds, but the earlier version failed consistently.
I did not think, that the failure is not deterministic.
I will reopen this github issue then:
https://github.com/Boskovits/guix/issues/57

2018-01-23 9:06 GMT+01:00 Chris Marusich <[email-masked]>:

> Gábor Boskovits <[email-masked]> writes:
>
> > * gnu/packages/java.scm (java-jeromq): Update to 0.4.3.
>
> Unfortunately, when this patch is applied to commit
> f3cd6633ce7348fb92735d6cd708bdc8b3b063ee (the current tip of
> core-updates), the "check" phase of the build fails.  Actually, it fails
> even before the patch, so you this change doesn't break it.
>
> The failures are not deterministic.  Various classes fail, and it's not
> always the same one every time.  I briefly looked at the failures, and I
> couldn't make much sense of it.  I think there are two avenues of
> investigation:
>
> 1) Git bisect to find out which commit introduced the break.
>
> 2) Report the failure(s) upstream.
>
> --
> Chris
>